package com.care.bigscreen.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 机构统计表实体类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("st_organization")
@ApiModel(value = "StOrganization对象")
public class StOrganization implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "机构ID")
    @TableField("org_id")
    private Long orgId;

    @ApiModelProperty(value = "坐席总人数")
    @TableField("seats_amount")
    private Long seatsAmount;

    @ApiModelProperty(value = "坐席总在线时长(秒)")
    @TableField("seats_online_duration")
    private Long seatsOnlineDuration;


    @ApiModelProperty(value = "坐席当前在线人数")
    @TableField("seats_curr_online_amount")
    private Long seatsCurrOnlineAmount;

    @ApiModelProperty(value = "坐席接打分钟数")
    @TableField("seats_call_min_amount")
    private Long seatsCallMinAmount;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
