package com.care.bms.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.care.bms.service.BmsEventOrderService;
import com.care.bms.service.StationService;
import com.care.common.annotation.Permission;
import com.care.common.entity.CareEventOrderChamb;
import com.care.common.enums.CallResultEnum;
import com.care.common.enums.OrderStatusEnum;
import com.care.common.exception.BDException;
import com.care.common.util.PageResult;
import com.care.common.util.Result;
import com.care.common.util.WebPageUtils;
import com.care.common.vo.PageReqVO;
import com.care.common.vo.UserLogindConvertVO;
import com.care.common.vo.device.StationVO;
import com.care.common.vo.order.*;
import com.care.common.vo.outcall.CcCallResultVO;
import com.google.common.collect.Maps;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Author: lilt
 * @Date: 2021/5/26
 * @Desc:
 */
@RestController
@Api(value = "StationController", tags = { "服务站管理" })
@Slf4j
@RequestMapping("/bms/station")
@Permission
public class StationController {

    @Autowired
    private StationService stationService;

    /**
     *服务站下拉列表
     * @param request
     * @return
     */
    @GetMapping("/list4Select")
    @ApiOperation(tags = {"房屋管理","设备管理"},value = "服务站下拉列表")
    public Result<List<StationVO>> listNotHandle(HttpServletRequest request, @RequestHeader(value = "token") String token){
        try {
            UserLogindConvertVO loginUser = WebPageUtils.getCurrentLoginedUser(request);
            List<StationVO> datas = this.stationService.queryStationsForSelect(loginUser);
            return Result.success(datas);
        }catch (Exception e) {
            log.error("服务站管理: 服务站下拉列表查询出现异常",e);
            return Result.error( "获取列表失败");
        }
    }

}
