package com.care.bms.mqtt;




import com.care.bms.service.BmsEventOrderService;

import com.care.common.service.*;
import com.care.common.util.CommonConfUtil;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;



@Order(1)
public class MqttInit implements CommandLineRunner {

    private static final Logger logger = LogManager.getLogger(MqttInit.class);

    @Autowired
    private CareDeviceService careDeviceService;
    @Autowired
    private BmsEventOrderService bmsEventOrderService;
    @Autowired
    private CareEventOrderService careEventOrderService;
    @Autowired
    private CareHouseService careHouseService;
    @Autowired
    private CareOrganizationService careOrganizationService;
    @Autowired
    private CareStationService careStationService;
    @Autowired
    private CareMqttMsgService careMqttMsgService;

    @Override
    public void run(String... args) throws Exception {
        String mqttOn = CommonConfUtil.getConf("mqtt.on");
        if ("1".equals(mqttOn)){
            logger.info("初始化MQTTstart ...........................");
            MqttTool.init(careDeviceService,bmsEventOrderService,careEventOrderService,careHouseService,careOrganizationService,careStationService,careMqttMsgService);
            logger.info("初始化MQTTend ...........................");
        }
    }

}

