package com.care.client.controller;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DateUtil;
import com.care.client.service.AbstractPassportService;
import com.care.client.service.PassportService;
import com.care.client.vo.MemberInfoVO;
import com.care.common.entity.CareMemberInfo;
import com.care.common.entity.CareOlder;
import com.care.common.service.CareMemberInfoService;
import com.care.common.service.CareOlderService;
import com.care.common.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 描述：
 *
 * @autho：wenskys
 * @create 2020/5/12 14:13
 **/
@Api(tags = "用户相关接口")
@RestController
@RequestMapping("/pinanbao/member")
public class MemberApiController {

    @Resource
    private CareMemberInfoService careMemberInfoService;


    @Resource
    private PassportService passportService;
    @Autowired
    private AbstractPassportService abstractPassportService;

    @ApiOperation(value = "获取基本信息", notes = "获取用户基本录信息")
    @PostMapping("detail/info")
    public Result<Object> detailInfo(@RequestHeader String token) {
        MemberInfoVO current = current(token);
        CareMemberInfo member = careMemberInfoService.detailByOpenid(current.getOpenId());
        BeanUtil.copyProperties(member,current);
        if (member.getBirthday()!=null){
            current.setAge(DateUtil.ageOfNow(member.getBirthday()));
        }
        return Result.success(current);
    }

    /*@ApiOperation(value = "刷新基本信息", notes = "刷新用户基本信息")
    @PostMapping("refresh")
    public Result<Object> refreshMember(@RequestHeader String token) {
        MemberInfoVO lastMemberInfoVO = abstractPassportService.refreshMember(token);
        return Result.success(lastMemberInfoVO);
    }*/

   /* @ApiOperation(value = "校验是否要刷新小程序用户信息", notes = "校验是否要刷新小程序用户信息 true刷新")
    @PostMapping("notMatchMemberField")
    public Result<Object> notMatchMemberField(@RequestHeader String token) {
        return Result.success(passportService.notMatchMemberField(token));
    }
*/
    public MemberInfoVO current(String token) {
        return passportService.checkToken(token);
    }

}
