package com.care.client.controller;

import com.care.client.service.PassportService;
import com.care.client.vo.MemberInitParams;
import com.care.common.util.CheckUtils;
import com.care.common.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Api(tags = "登录")
@RestController
@RequestMapping("/pinanbao")
public class PassportController {


    @Resource
    private PassportService passportService;

    @ApiOperation(value = "小程序登录", notes = "小程序授权登录")
    @ApiParam(name = "params", value = "登录参数")
    @PostMapping("login")
    public Result<Object> login(@RequestBody MemberInitParams params) {

        if ("wx".equalsIgnoreCase(params.getLoginType())) {
            CheckUtils.valueIsNull(params, "code");
        } else if ("pwd".equalsIgnoreCase(params.getLoginType())) {
            if (StringUtils.isBlank(params.getPhone())) {
                return Result.error("请输入手机号码");
            }
            if (StringUtils.isBlank(params.getPassword())) {
                return Result.error("请输入密码");
            }
        }
        return passportService.login(params);
    }


    @ApiOperation(value = "小程序登出", notes = "小程序登出")
    @PostMapping("logout")
    public Result<Object>  logout(@RequestHeader String token) {
        passportService.logout(token);
        return Result.success();
    }
}
