package com.care.client.service;

import com.care.client.vo.MemberInfoVO;
import com.care.client.vo.MemberInitParams;
import com.care.common.cache.RedisKeyConstant;
import com.care.common.cache.RedisUtil;
import com.care.common.exception.BDException;
import com.care.common.util.CheckUtils;
import com.care.common.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class PassportService {

    @Resource
    private RedisUtil redisUtil;
    @Resource
    private WxPassportService wxPassportService;

    public Result<Object> login(MemberInitParams params) {

        if ("wx".equalsIgnoreCase(params.getLoginType())) {
            CheckUtils.valueIsNull(params, "code");
        } else if ("pwd".equalsIgnoreCase(params.getLoginType())) {
            CheckUtils.valueIsNull(params, "phone");
            CheckUtils.valueIsNull(params, "password");
        }
        Result<Object>  result = wxPassportService.login(params);
        return result;
    }

    public void logout(String token) {
        CheckUtils.notNull(token, "token");
        MemberInfoVO memberInfoVO = (MemberInfoVO) redisUtil.hget(RedisKeyConstant.PINANBAO_LOGIN_INFO, token);
        if (memberInfoVO != null) {
            redisUtil.hset(RedisKeyConstant.PINANBAO_LOGIN_INFO, token, null);
        }
    }

    public MemberInfoVO checkToken(String token) {
        CheckUtils.notNull(token, "token");
        if (!redisUtil.hHasKey(RedisKeyConstant.PINANBAO_LOGIN_INFO, token)) {
            throw new BDException(400002, "TOKEN WAS WRONG :[{"+token+"}]" );
        }
        return (MemberInfoVO) redisUtil.hget(RedisKeyConstant.PINANBAO_LOGIN_INFO, token);
    }

    public boolean notMatchMemberField(String token) {

        return false;
    }
}
