package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人-设备(CareDevice)实体类
 *
 * @author makejava
 * @since 2021-06-08 22:26:07
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_device")
@ApiModel(value = "被监护人-设备", description = "")
public class CareDevice implements Serializable {
    private static final long serialVersionUID = -22853591259670893L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;

    @ApiModelProperty("管家ID")
    @TableField("CHAMB_ID")
    private Long chambId;

    @ApiModelProperty("关联用户ID")
    @TableField("MEMBER_ID")
    private Long memberId;

    @ApiModelProperty("关联用户号码")
    @TableField("MEMBER_PHONE")
    private String memberPhone;

    @ApiModelProperty("设备名称")
    @TableField("DEV_NAME")
    private String devName;


    @ApiModelProperty("设备编码")
    @TableField("DEV_CODE")
    private String devCode;


    @ApiModelProperty("设备类别： 1：室内 2：户外")
    @TableField("DEV_TYPE")
    private String devType;


    @ApiModelProperty("设备场景：1客厅，2卫生间，3卧室，4其他")
    @TableField("DEV_SCENE")
    private String devScene;

    @ApiModelProperty("状态：1在线；2：离线")
    @TableField("STATUS")
    private String status;

    @ApiModelProperty("激活状态：0未激活，1已激活")
    @TableField("ACTIVE_STATUS")
    private String activeStatus;

    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;

    @ApiModelProperty("跌到响应时间（分）")
    @TableField("FALL_RESPONSE_TIME")
    private Integer fallResponseTime;

    @ApiModelProperty("久滞响应时间（分）")
    @TableField("LONGLAG_RESPONSE_TIME")
    private Integer longlagResponseTime;

    @ApiModelProperty("坠床响应时间（分）")
    @TableField("FALLINGBED_RESPONSE_TIME")
    private Integer fallingbedResponseTime;

    @ApiModelProperty("激活时间")
    @TableField("ACTIVE_TIME")
    private Date activeTime;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


    @ApiModelProperty("呼吸频率")
    @TableField("BREATH_RATE")
    private Integer breathRate;


    @ApiModelProperty("心跳频率")
    @TableField("HEART_RATE")
    private Integer heartRate;


    @ApiModelProperty("设备mqtt消息topic")
    @TableField("TOPIC")
    private String topic;


    @ApiModelProperty("设备mqtt消息客户端ID")
    @TableField("CLIENT_ID")
    private String clientId;

    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;
}