package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件定单表(CareEventOrder)实体类
 *
 * @author makejava
 * @since 2021-06-08 23:46:54
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_event_order")
@ApiModel(value = "事件定单表", description = "")
public class CareEventOrder implements Serializable {
    private static final long serialVersionUID = 580465519695293158L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("机构名称")
    @TableField("ORG_NAME")
    private String orgName;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("服务站名称")
    @TableField("STATION_NAME")
    private String stationName;


    @ApiModelProperty("房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;


    @ApiModelProperty("房屋名称")
    @TableField("HOUSE_NAME")
    private String houseName;

    @ApiModelProperty("频安宝用户ID")
    @TableField("MEMBER_ID")
    private Long memberId;


    @ApiModelProperty("设备ID")
    @TableField("DEV_ID")
    private Long devId;


    @ApiModelProperty("设备名称")
    @TableField("DEV_NAME")
    private String devName;


    @ApiModelProperty("被监护人ID，多个逗号分隔")
    @TableField("OLDER_ID")
    private Long olderId;


    @ApiModelProperty("被监护人姓名，多个逗号分隔")
    @TableField("OLDER_NAME")
    private String olderName;


    @ApiModelProperty("工单标题")
    @TableField("TITLE")
    private String title;


    @ApiModelProperty("工单分类： 21：跌倒 22：久滞 23坠床 31主动呼叫")
    @TableField("ORDER_TYPE")
    private String orderType;


    @ApiModelProperty("语音URL，主动呼叫时有值")
    @TableField("VOICE_URL")
    private String voiceUrl;


    @ApiModelProperty("状态：0未处理，1处理中，2已完成，3主动取消，4已归档")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("坐席ID")
    @TableField("SEAT_ID")
    private Long seatId;


    @ApiModelProperty("坐席姓名")
    @TableField("SEAT_NAME")
    private String seatName;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


    @ApiModelProperty("归档时间")
    @TableField("FILING_TIME")
    private Date filingTime;


    @ApiModelProperty("完成时间")
    @TableField("COMPLETE_TIME")
    private Date completeTime;


}