package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护房屋信息(CareHouse)实体类
 *
 * @author makejava
 * @since 2021-06-02 22:00:37
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_house")
@ApiModel(value = "被监护房屋信息", description = "")
public class CareHouse implements Serializable {
    private static final long serialVersionUID = -60036036914347085L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("房屋简称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("钥匙托管类型： 1 ：电子 2：机械 0：未托管")
    @TableField("KEY_ESCROW_TYPE")
    private String keyEscrowType;


//    @ApiModelProperty("状态： 1激活，0未激活")
//    @TableField("STATUS")
//    private String status;


    @ApiModelProperty("地址")
    @TableField("ADDR")
    private String addr;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;

    @ApiModelProperty("频安宝用户ID")
    @TableField("MEMBER_ID")
    private Long memberId;

//    @ApiModelProperty("管理者电话")
//    @TableField("MANAGE_PHONE")
//    private String managePhone;
//
//
//    @ApiModelProperty("管理者姓名")
//    @TableField("MANAGE_NAME")
//    private String manageName;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


//    @ApiModelProperty("管家ID")
//    @TableField("CHAMB_ID")
//    private Long chambId;
//
//
//    @ApiModelProperty("管家姓名")
//    @TableField("CHAMB_NAME")
//    private String chambName;


}