package com.care.common.service.impl;

import com.care.common.enums.OrderTypeEnum;
import com.care.common.service.SmsSendService;
import com.care.common.util.SmsUtil;
import com.tencentcloudapi.sms.v20210111.models.SendStatus;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * @Author: lilt
 * @Date: 2021/6/5
 * @Desc:
 */
@Service
public class SmsSendServiceImpl implements SmsSendService {

    @Value("${sms.notice.endpoint:#{null}}")
    private String noticeEndpoint;
    @Value("${sms.notice.region:#{null}}")
    private String noticeRegion;
    @Value("${sms.notice.secretId:#{null}}")
    private String noticeSecretId;
    @Value("${sms.notice.secretKey:#{null}}")
    private String noticeecretKey;
    @Value("${sms.notice.smsSdkAppId:#{null}}")
    private String noticeSmsSdkAppId;
    private String noticeSignName="熵行科技";
    @Value("${sms.notice.templateId:#{null}}")
    private String noticeTemplateId;

    @Value("${sms.notice.templateid.jiuzhi:#{null}}")
    private String noticeTemplateId4jiuzhi;

    @Value("${sms.notice.templateid.diedao:#{null}}")
    private String noticeTemplateId4diedao;


    @Override
    public boolean sendSmsToLianxiren(String phone, String params) {
        String[] _p = {params};
        SendStatus sendStatus =  SmsUtil.sendSms(noticeEndpoint,
                noticeRegion,
                noticeSecretId,
                noticeecretKey,
                noticeSmsSdkAppId,
                noticeSignName,
                noticeTemplateId,
                phone,_p);
        if (sendStatus!=null && "Ok".equals(sendStatus.getCode())){
            return true;
        }else{
            return  false;
        }
    }

    @Override
    public boolean sendSmsToLianxiren(String orderType, String phone, String params) {
        String[] _p = {params};
        String _noticeTemplateId =  noticeTemplateId;
        if (OrderTypeEnum.DI_EDAO.getValue().equals(orderType)){
            _noticeTemplateId = noticeTemplateId4diedao;
        }else if(OrderTypeEnum.JIU_ZHI.getValue().equals(orderType)){
            _noticeTemplateId = noticeTemplateId4jiuzhi;
        }
        SendStatus sendStatus =  SmsUtil.sendSms(noticeEndpoint,
                noticeRegion,
                noticeSecretId,
                noticeecretKey,
                noticeSmsSdkAppId,
                noticeSignName,
                _noticeTemplateId,
                phone,_p);
        if (sendStatus!=null && "Ok".equals(sendStatus.getCode())){
            return true;
        }else{
            return  false;
        }
    }
}
