package com.care.common.vo.order;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件定单表(CareEventOrder)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:29
 */

@Data
@ApiModel(value = "定单信息", description = "")
public class EventOrderVO implements Serializable {
    private static final long serialVersionUID = -78566992201198077L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("机构名称")
    private String orgName;


    @ApiModelProperty("服务站ID")
    private Long stationId;


    @ApiModelProperty("服务站名称")
    private String stationName;


    @ApiModelProperty("房屋ID")
    private Long houseId;

    @ApiModelProperty("房屋名称")
    private String houseName;

    @ApiModelProperty("频安宝用户ID")
    private Long memberId;

    @ApiModelProperty("被监护人ID，多个逗号分隔")
    private Long olderId;


    @ApiModelProperty("被监护人姓名，多个逗号分隔")
    private String olderName;


    @ApiModelProperty("工单标题")
    private String title;


    @ApiModelProperty("工单分类： 1：跌倒 2：久滞 3坠床 4主动呼叫 5户外呼叫")
    private String orderType;
    private String orderTypeName;


    @ApiModelProperty("事件状态：0未处理，1处理中，2已完成，3主动取消，4已归档")
    private String status;
    private String statusName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("坐席ID")
    private Long seatId;


    @ApiModelProperty("坐席姓名")
    private String seatName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("归档时间")
    private Date filingTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("完成时间")
    private Date completeTime;

    @ApiModelProperty("房屋")
    private CareHouseVO house;

    @ApiModelProperty("告警数量")
    private Integer warnCount;
}