package com.care.keeper.controller;

import cn.hutool.core.bean.BeanUtil;
import com.care.common.entity.CareSysUser;
import com.care.common.service.CareSysUserService;
import com.care.common.util.Result;
import com.care.keeper.service.AbstractKeeperPassportService;
import com.care.keeper.service.KeeperPassportService;
import com.care.keeper.vo.KeeperInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 描述：
 *
 * @autho：wenskys
 * @create 2020/5/12 14:13
 **/
@Api(tags = "用户相关接口")
@RestController
@RequestMapping("/keeper/api/member")
public class KeeperMemberApiController {

    @Resource
    private CareSysUserService careSysUserService;

    @Resource
    private KeeperPassportService keeperPassportService;

    @Resource
    private AbstractKeeperPassportService abstractKeeperPassportService;

    @ApiOperation(value = "获取基本信息", notes = "获取用户基本录信息")
    @PostMapping("detail/info")
    public Result<Object> detailInfo(@RequestHeader String token) {
        KeeperInfoVO current = current(token);
        CareSysUser member = careSysUserService.getById(current.getId());
        BeanUtil.copyProperties(member,current);
        return Result.success(current);
    }

    @ApiOperation(value = "刷新基本信息", notes = "刷新用户基本录信息")
    @PostMapping("refresh")
    public Result<Object> refreshMember(@RequestHeader String token) {
        KeeperInfoVO lastMemberInfoVO = abstractKeeperPassportService.refreshMember(token);
        return Result.success(lastMemberInfoVO);
    }

   /* @ApiOperation(value = "校验是否要刷新小程序用户信息", notes = "校验是否要刷新小程序用户信息 true刷新")
    @PostMapping("notMatchMemberField")
    public Result<Object> notMatchMemberField(@RequestHeader String token) {
        return Result.success(passportService.notMatchMemberField(token));
    }
*/
    public KeeperInfoVO current(String token) {
        return keeperPassportService.checkToken(token);
    }

}
