package com.care.keeper.controller;

import com.care.keeper.service.KeeperPassportService;
import com.care.keeper.vo.KeeperInitParams;
import com.care.common.util.CheckUtils;
import com.care.common.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Api(tags = "登录")
@RestController
@RequestMapping("/keeper/api")
public class KeeperPassportController {


    @Resource
    private KeeperPassportService keeperPassportService;

    @ApiOperation(value = "小程序登录", notes = "小程序授权登录")
    @ApiParam(name = "params", value = "登录参数")
    @PostMapping("login")
    public Result<Object> login(@RequestBody KeeperInitParams params) {

        if ("wx".equalsIgnoreCase(params.getLoginType())) {
            CheckUtils.valueIsNull(params, "code");
        } else if ("pwd".equalsIgnoreCase(params.getLoginType())) {
            if (StringUtils.isBlank(params.getPhone())) {
                return Result.error("请输入手机号码");
            }
            if (StringUtils.isBlank(params.getPassword())) {
                return Result.error("请输入密码");
            }
        }
        return keeperPassportService.login(params);
    }


    @ApiOperation(value = "小程序登出", notes = "小程序登出")
    @PostMapping("logout")
    public Result<Object>  logout(@RequestHeader String token) {
        keeperPassportService.logout(token);
        return Result.success();
    }
}
