package com.care.keeper.service;

import com.care.common.cache.RedisKeyConstant;
import com.care.common.cache.RedisUtil;
import com.care.common.exception.BDException;
import com.care.common.util.CheckUtils;
import com.care.common.util.Result;
import com.care.keeper.vo.KeeperInfoVO;
import com.care.keeper.vo.KeeperInitParams;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class KeeperPassportService {

    @Resource
    private RedisUtil redisUtil;
    @Resource
    private WxKeeperPassportService wxKeeperPassportService;

    public Result<Object> login(KeeperInitParams params) {

        if ("wx".equalsIgnoreCase(params.getLoginType())) {
            CheckUtils.valueIsNull(params, "code");
        } else if ("pwd".equalsIgnoreCase(params.getLoginType())) {
            CheckUtils.valueIsNull(params, "phone");
            CheckUtils.valueIsNull(params, "password");
        }
        Result<Object>  result = wxKeeperPassportService.login(params);
        return result;
    }

    public void logout(String token) {
        CheckUtils.notNull(token, "token");
        KeeperInfoVO memberInfoVO = (KeeperInfoVO) redisUtil.hget(RedisKeyConstant.PINANSHOUHU_LOGIN_INFO, token);
        if (memberInfoVO != null) {
            redisUtil.hset(RedisKeyConstant.PINANSHOUHU_LOGIN_INFO, token, null);
        }
    }

    public KeeperInfoVO checkToken(String token) {
        CheckUtils.notNull(token, "token");
        if (!redisUtil.hHasKey(RedisKeyConstant.PINANSHOUHU_LOGIN_INFO, token)) {
            throw new BDException(400002, "TOKEN WAS WRONG :[{"+token+"}]" );
        }
        return (KeeperInfoVO) redisUtil.hget(RedisKeyConstant.PINANSHOUHU_LOGIN_INFO, token);
    }

    public boolean notMatchMemberField(String token) {

        return false;
    }
}
